var gulp = require('gulp');


var sass = require('gulp-sass');
var minifyCss = require('gulp-minify-css');
var uglify = require('gulp-uglify');
var rename = require('gulp-rename');


// SASS
gulp.task('sass', function(){
  return gulp.src('src/scss/scrollspy-progress.scss')
    .pipe(sass())
    .pipe(minifyCss())
    .pipe(rename('scrollspy-progress.min.css'))
    .pipe(gulp.dest('dist/css'))
});

// JavaScript
gulp.task('js', function () {
    gulp.src('src/js/*.js')
    .pipe(uglify())
    .pipe(rename('scrollspy-progress.min.js'))
    .pipe(gulp.dest('dist/js'));
});

// Run sass & js with one command
gulp.task('default', ['sass', 'js']);

// Watcher
gulp.task('watch', function(){
	gulp.watch('src/scss/*.scss', ['sass']);
	gulp.watch('src/js/*.js', ['js']);
});