(function ( $ ) {
 
    $.fn.scrollSpyProgress = function( options ) {
 
        var settings = $.extend({
            sections: 'section',
        }, options );

        var $scrollspy = $(this);
        var $scrollspy_fill = $(this).find('.fill');
        var $sections = $(settings.sections);
        var number_of_sections_index = $sections.length - 1;
 
        
        function init(){
        	// change style of passed sections
			$(window).on('activate.bs.scrollspy', updateScrollspyProgressButtons);

			// set event listener on window scroll
			$(window).scroll(updateProgress);
			
			updateScrollspyProgressButtons();
			updateProgress();
        }


        function updateProgress(){
	        var last_active_section_index = getLastActiveSection();

	        // set strating point
	        var percent = 100 / number_of_sections_index * last_active_section_index;

	        var current_section_height = $sections.eq(last_active_section_index).height();

	        var current_section_y_offset = $sections.eq(last_active_section_index).offset().top;

	        var movement = $(document).scrollTop() - current_section_y_offset;

	        // final calculation
	        percent += (movement/current_section_height * 100) / number_of_sections_index;

			$scrollspy_fill.css({ height: percent+'%' });
        }


        function getLastActiveSection(){
			var last_active = 0;

			$scrollspy.find('a').each(function(index, el) {
				if( $(el).hasClass('active') ){
					last_active = index;
					return false;
				}
			});

			return last_active;
		}


        function updateScrollspyProgressButtons(){
			$scrollspy.find('a').removeClass('passed');

			// add passed class until active class is found
			if( $scrollspy.find('a.active').length ){
				$scrollspy.find('a').each(function(index, el) {
					if( ! $(el).hasClass('active') ){
						$(el).addClass('passed');
					}else{
						return false;
					}
				});
			}
		}

		init();
    };
 
}( jQuery ));
